<div class="flex flex-col flex-auto w-full"
  style="background-color:#F8F8F8;background-image: url('assets/images/logo/bg.svg'); background-image: url('../../assets/background.png'); background-size: 100% 453px; background-repeat: no-repeat;">

  <div class="flex flex-col  items-center sm:justify-center min-w-0">

    <div class="container flex justify-between">
      <div class="flex items-center cursor-pointer"><mat-icon class="mt-6 mb-6 " style="color: #0038FF;"
          (click)="tierButton()">keyboard_arrow_left</mat-icon><span class="mt-6 mb-6 font-Semibold-16"
          style="color: #0038FF;">Back</span></div>
      <div><mat-icon class="mt-6 cursor-pointer" style="color: #0038FF;">help_outline</mat-icon></div>
    </div>

    <div class="flex flex-col mx-6" style="margin-top:0px; padding-bottom: 10px;">
      <div class="font-Semibold-40 font-141461 mt-8 mb-8" style="text-align:center !important;">
        <div>View all Tier</div>
      </div>

      <div *ngIf="pageCode === 'T01'">
        <div>
          <img class="object-center sm:px-11 pic-width" src="assets/images/bgd/bgd-tier.svg" alt="">
        </div>
        <div class="font-Semibold-56 font-141461 mt-5 mb-5" style="text-align:center !important;">
          <div>Tier 1</div>
        </div>
      </div>

      <div *ngIf="pageCode === 'T02'">
        <div>
          <img class="object-center sm:px-11 pic-width" src="assets/images/bgd/bgd-tier2.svg" alt="">
        </div>
        <div class="font-Semibold-56 font-141461 mt-5 mb-5" style="text-align:center !important;">
          <div>Tier 2</div>
        </div>
      </div>

      <div *ngIf="pageCode === 'T03'">
        <div>
          <img class="object-center sm:px-11 pic-width" src="assets/images/bgd/bgd-tier3.svg" alt="">
        </div>
        <div class="font-Semibold-56 font-141461 mt-5 mb-5" style="text-align:center !important;">
          <div>Tier 3</div>
        </div>
      </div>

    </div>

    <div class="flex flex-col items-center sm:justify-center min-w-0">
      <!-- Main -->
      <div class="w-full mx-auto mb-10 shadow bg-white box-width" style="width: 491px !important;box-shadow: 0px 0px 6px #0000001A;
      ">
        <!-- Add three buttons here with a click event that sets the statusCode accordingly -->
        <div class="flex justify-center my-7">
          <button class="mx-2 px-4 py-2 font-Regular-18"
            [ngClass]="{'not-active': !tierClicked, 'active': tierClicked}"
            (click)="clickTier('T01')">Tier
            1</button>
          <button class="mx-2 px-4 py-2 font-Regular-18"
            [ngClass]="{'not-active': !tier2Clicked, 'active': tier2Clicked}"
            (click)="clickTier('T02')">Tier
            2</button>
          <button class="mx-2 px-4 py-2 font-Regular-18"
            [ngClass]="{'not-active': !tier3Clicked, 'active': tier3Clicked}"
            (click)="clickTier('T03')">Tier
            3</button>
        </div>
        <!-- CONTENT GOES HERE -->
        <div *ngIf="pageCode === 'T01'">
          <div class="flex flex-col mx-8 my-3">
            <div class="relative flex flex-col flex-auto items-left justify-center my-5">
              <span class="font-Regular-16 mb-2 font-7B7B7B">Cash Deposit Limit</span>
              <span class="font-Medium-18 font-black">{{ withdrawLimit1 | currency:'RM' }}</span>
            </div>
            <div class="flex items-left">
              <div class="flex-auto mt-px border-t"></div>
            </div>
            <div class="relative flex flex-col flex-auto items-left justify-center my-5">
              <span class="font-Regular-16 mb-2 font-7B7B7B">Transfer Gold Limit</span>
              <span class="font-Medium-18 font-black">{{transferLimit1 | number: '.2'}} gram</span>
            </div>
            <div class="flex items-left">
              <div class="flex-auto mt-px border-t"></div>
            </div>
            <div class="relative flex flex-col flex-auto items-left justify-center my-5">
              <span class="font-Regular-16 mb-2 font-7B7B7B">Cash Withdrawal Limit</span>
              <span class="font-Medium-18 font-black">{{ depositLimit1 | currency:'RM' }}</span>
            </div>
          </div>
        </div>

        <div *ngIf="pageCode === 'T02'">
          <div class="flex flex-col mx-8 my-3">
            <div class="relative flex flex-col flex-auto items-left justify-center my-5">
              <span class="font-Regular-16 mb-2 font-7B7B7B">Cash Deposit Limit</span>
              <span class="font-Medium-18 font-black">{{ withdrawLimit2 | currency:'RM' }}</span>
            </div>
            <div class="flex items-left">
              <div class="flex-auto mt-px border-t"></div>
            </div>
            <div class="relative flex flex-col flex-auto items-left justify-center my-5">
              <span class="font-Regular-16 mb-2 font-7B7B7B">Transfer Gold Limit</span>
              <span class="font-Medium-18 font-black">{{ transferLimit2 | number: '.2'}} gram</span>
            </div>
            <div class="flex items-left">
              <div class="flex-auto mt-px border-t"></div>
            </div>
            <div class="relative flex flex-col flex-auto items-left justify-center my-5">
              <span class="font-Regular-16 mb-2 font-7B7B7B">Cash Withdrawal Limit</span>
              <span class="font-Medium-18 font-black">{{ depositLimit2 | currency:'RM' }}</span>
            </div>
          </div>
        </div>

        <div *ngIf="pageCode === 'T03'">
          <div class="flex flex-col mx-8 my-3 px">
            <div class="relative flex flex-col flex-auto items-left justify-center my-5">
              <span class="font-Regular-16 mb-2 font-7B7B7B">Cash Deposit Limit</span>
              <span class="font-Medium-18  font-black">{{ withdrawLimit3 | currency:'RM' }}</span>
            </div>
            <div class="flex items-left">
              <div class="flex-auto mt-px border-t"></div>
            </div>
            <div class="relative flex flex-col flex-auto items-left justify-center my-5">
              <span class="font-Regular-16 mb-2 font-7B7B7B">Transfer Gold Limit</span>
              <span class="font-Medium-18  font-black">{{ transferLimit3 | number: '.2'}} gram</span>
            </div>
            <div class="flex items-left ">
              <div class="flex-auto mt-px border-t"></div>
            </div>
            <div class="relative flex flex-col flex-auto items-left justify-center my-5">
              <span class="font-Regular-16 mb-2 font-7B7B7B">Cash Withdrawal Limit</span>
              <span class="font-Medium-18  font-black">{{ depositLimit3 | currency:'RM' }}</span>
            </div>
          </div>
        </div>

      </div>

    </div>
  </div>
</div>